PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Fields
pw_impl_factory_implementation Struct Reference
Implementation API » Factory Impl

`#include <pipewire/impl-factory.h>`

## Data Fields
uint32_t | version
void *(* | create_object )(void *data, struct pw_resource *resource, const char *type, uint32_t version, struct pw_properties *properties, uint32_t new_id)
| The function to create an object from this factory.

## Field Documentation

## ◆ version

uint32_t pw_impl_factory_implementation::version

## ◆ create_object

void *(* pw_impl_factory_implementation::create_object) (void *data, struct pw_resource *resource, const char *type, uint32_t version, struct pw_properties *properties, uint32_t new_id)

The function to create an object from this factory.

The documentation for this struct was generated from the following file:

- pipewire/impl-factory.h